Bug 1438522 - [abrt] git-cola: genericpath.py:143:_check_arg_types:TypeError: join() argument must be str or bytes, not 'NoneType'
[abrt] git-cola: genericpath.py:143:_check_arg_types:TypeError: join() argume...
Product: Fedora
Classification: Fedora
Component: git-cola (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-04-03 11:55 EDT by Gwendal
Modified: 2017-12-12 05:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-12 05:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (967 bytes, text/plain)
2017-04-03 11:55 EDT, Gwendal
no flags Details
File: environ (1.72 KB, text/plain)
2017-04-03 11:55 EDT, Gwendal
no flags Details

  None (edit)
Description Gwendal 2017-04-03 11:55:05 EDT
Version-Release number of selected component:

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/bin/git-cola --prompt
executable:     /usr/bin/git-cola
kernel:         4.10.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
genericpath.py:143:_check_arg_types:TypeError: join() argument must be str or bytes, not 'NoneType'

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/fsmonitor.py", line 216, in run
  File "/usr/share/git-cola/lib/cola/fsmonitor.py", line 320, in _handle_events
    self._check_event(wd, mask, name)
  File "/usr/share/git-cola/lib/cola/fsmonitor.py", line 305, in _check_event
  File "/usr/lib64/python3.5/posixpath.py", line 89, in join
    genericpath._check_arg_types('join', a, *p)
  File "/usr/lib64/python3.5/genericpath.py", line 143, in _check_arg_types
    (funcname, s.__class__.__name__)) from None
TypeError: join() argument must be str or bytes, not 'NoneType'

Local variables in innermost frame:
hasbytes: False
s: None
funcname: 'join'
hasstr: True
args: ('/home/ebousse/git/moliz.gemoc/examples/iml/modeling_workbench/org.modelexecution.xmof.examples.iml.samplemodels', None)
Comment 1 Gwendal 2017-04-03 11:55:11 EDT
Created attachment 1268428 [details]
File: backtrace
Comment 2 Gwendal 2017-04-03 11:55:12 EDT
Created attachment 1268429 [details]
File: environ
Comment 3 David Aguilar 2017-04-09 23:32:09 EDT
This issue was fixed upstream in fe2f18dc5b6d6ec7720fdfd0336084c3e389afda and released in git-cola v2.11.

Comment 4 Fedora End Of Life 2017-11-16 09:26:24 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-12-12 05:28:10 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.